Bug 986592 - Maven repo: WAR/EAR artifacts not removed properly
Maven repo: WAR/EAR artifacts not removed properly
Status: ASSIGNED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER01
: 6.1.1
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 17:02 EDT by Miroslav Cupák
Modified: 2017-12-08 10:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2013-07-20 17:02:24 EDT
Description of problem:
Even though WAR/EAR artifacts have been removed from the repo, they are still part of dependency management and dependencies of other artifacts, thus breaking dependency trees/transitive closures of dependencies.

Additional info:
List of artifacts having non-existing WARs/EARs as dependencies:
org/exoplatform/jcr/exo.jcr.applications.config/1.15.3-GA-redhat-1/exo.jcr.applications.config-1.15.3-GA-redhat-1.pom
org/exoplatform/jcr/jcr-parent/1.15.3-GA-redhat-1/jcr-parent-1.15.3-GA-redhat-1.pom
org/exoplatform/jcr/exo.jcr.applications.jboss/1.15.3-GA-redhat-1/exo.jcr.applications.jboss-1.15.3-GA-redhat-1.pom
org/gatein/wsrp/wsrp-parent/2.2.9.Final-redhat-1/wsrp-parent-2.2.9.Final-redhat-1.pom
org/gatein/portal/exo.portal.parent/3.6.0.Final-redhat-1/exo.portal.parent-3.6.0.Final-redhat-1.pom
org/gatein/portal/exo.portal.packaging.jboss7.pkg/3.6.0.Final-redhat-1/exo.portal.packaging.jboss7.pkg-3.6.0.Final-redhat-1.pom
Comment 2 Miroslav Cupák 2013-08-22 07:29:25 EDT
The issue is still present in ER04 repo.
Comment 3 hfnukal@redhat.com 2013-10-16 05:48:11 EDT
It is not possible to remove it form dependencies, as for portal, war and ear artifacts must be part of it.
Not blocker for release.
Comment 4 Miroslav Cupák 2013-11-01 08:43:49 EDT
As discussed on IRC, this shouldn't be ON_QA as the issue hasn't been fixed. Setting back to ASSIGNED and changing target release to 6.1.1.
Comment 5 Filip Kiss 2014-01-28 03:58:33 EST
Update for ER01:
./org/gatein/portal/exo.portal.sample.extension.root/3.6.4.Final-redhat-1/exo.portal.sample.extension.root-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.starter.root/3.6.4.Final-redhat-1/exo.portal.starter.root-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.footer/3.6.4.Final-redhat-1/portlet.responsive.footer-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.web.portal/3.6.4.Final-redhat-1/exo.portal.web.portal-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.sample.portal.war/3.6.4.Final-redhat-1/exo.portal.sample.portal.war-3.6.4.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.banner/3.6.4.Final-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.banner-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.webui.based.samples/3.6.4.Final-redhat-1/exo.webui.based.samples-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.gwtGadgets/3.6.4.Final-redhat-1/exo.portal.gwtGadgets-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.sample.portal.root/3.6.4.Final-redhat-1/exo.portal.sample.portal.root-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.portlet.web/3.6.4.Final-redhat-1/exo.portal.portlet.web-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.header/3.6.4.Final-redhat-1/portlet.responsive.header-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.web.eXoResources/3.6.4.Final-redhat-1/exo.portal.web.eXoResources-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.portlet.dashboard/3.6.4.Final-redhat-1/exo.portal.portlet.dashboard-3.6.4.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.features/3.6.4.Final-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.features-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.banner/3.6.4.Final-redhat-1/portlet.responsive.banner-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.community/3.6.4.Final-redhat-1/portlet.responsive.community-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.features/3.6.4.Final-redhat-1/portlet.responsive.features-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.sample.extension.war/3.6.4.Final-redhat-1/exo.portal.sample.extension.war-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.portlet.exoadmin/3.6.4.Final-redhat-1/exo.portal.portlet.exoadmin-3.6.4.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.extension/3.6.4.Final-redhat-1/org.gatein.portal.jpp.branding.extension-3.6.4.Final-redhat-1.pom
./org/gatein/portal/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation/3.6.4.Final-redhat-1/org.gatein.portal.jpp.branding.mobile.portlets.jppinformation-3.6.4.Final-redhat-1.pom
./org/gatein/portal/exo.portal.parent/3.6.4.Final-redhat-1/exo.portal.parent-3.6.4.Final-redhat-1.pom
./org/gatein/portal/responsive-skin/3.6.4.Final-redhat-1/responsive-skin-3.6.4.Final-redhat-1.pom
./org/gatein/portal/portlet.responsive.navigation/3.6.4.Final-redhat-1/portlet.responsive.navigation-3.6.4.Final-redhat-1.pom
./org/gatein/wsrp/wsrp-parent/2.2.11.Final-redhat-2/wsrp-parent-2.2.11.Final-redhat-2.pom
./org/gatein/wsrp/wsrp-producer/2.2.11.Final-redhat-2/wsrp-producer-2.2.11.Final-redhat-2.pom
./org/gatein/wsrp/wsrp-producer/2.2.11.Final-redhat-2/wsrp-producer-2.2.11.Final-redhat-2.pom
./org/gatein/wsrp/wsrp-admin-gui/2.2.11.Final-redhat-2/wsrp-admin-gui-2.2.11.Final-redhat-2.pom
./org/exoplatform/jcr/exo.jcr.applications.browser/1.15.7-GA-redhat-1/exo.jcr.applications.browser-1.15.7-GA-redhat-1.pom
./org/exoplatform/jcr/exo.jcr.applications.config/1.15.7-GA-redhat-1/exo.jcr.applications.config-1.15.7-GA-redhat-1.pom
./org/exoplatform/jcr/exo.jcr.applications.jboss/1.15.7-GA-redhat-1/exo.jcr.applications.jboss-1.15.7-GA-redhat-1.pom
./org/exoplatform/jcr/jcr-parent/1.15.7-GA-redhat-1/jcr-parent-1.15.7-GA-redhat-1.pom
./org/exoplatform/kernel/exo.kernel.mc-int-tests/2.4.6-GA-redhat-1/exo.kernel.mc-int-tests-2.4.6-GA-redhat-1.pom
./org/jboss/portletbridge/portletbridge-parent/3.3.1.Final-redhat-1/portletbridge-parent-3.3.1.Final-redhat-1.pom
Comment 6 Filip Kiss 2014-07-11 05:04:30 EDT
Update for 6.2.0.ER04:

org/exoplatform/jcr/exo.jcr.applications.config/1.16.0-GA-redhat-2/exo.jcr.applications.config-1.16.0-GA-redhat-2.pom
org/exoplatform/jcr/jcr-parent/1.16.0-GA-redhat-2/jcr-parent-1.16.0-GA-redhat-2.pom
org/exoplatform/jcr/exo.jcr.applications.jboss/1.16.0-GA-redhat-2/exo.jcr.applications.jboss-1.16.0-GA-redhat-2.pom
org/jboss/portletbridge/portletbridge-parent/3.3.2.Final-redhat-1/portletbridge-parent-3.3.2.Final-redhat-1.pom
org/gatein/wsrp/wsrp-parent/2.3.2.Final-redhat-1/wsrp-parent-2.3.2.Final-redhat-1.pom
org/gatein/portal/exo.portal.sample.portal.root/3.8.4.Final-redhat-1/exo.portal.sample.portal.root-3.8.4.Final-redhat-1.pom
org/gatein/portal/exo.portal.parent/3.8.4.Final-redhat-1/exo.portal.parent-3.8.4.Final-redhat-1.pom
org/gatein/portal/exo.portal.sample.extension.root/3.8.4.Final-redhat-1/exo.portal.sample.extension.root-3.8.4.Final-redhat-1.pom
org/gatein/portal/exo.portal.starter.root/3.8.4.Final-redhat-1/exo.portal.starter.root-3.8.4.Final-redhat-1.pom

Note You need to log in before you can comment on or make changes to this bug.